## tasksel 3.73devuan1

=== debian/changelog ===
tasksel (3.73devuan1) unstable; urgency=medium

  * Merge tag 3.73.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 25 May 2023 18:00:17 +0100

tasksel (3.72devuan1) unstable; urgency=medium

  * Merge tag 3.72.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Feb 2023 22:28:06 +0000

tasksel (3.71devuan1) unstable; urgency=medium

  * Merge tag 3.71.
  * Add time-daemon to kde-desktop for time setting menu item (Closes: #727).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 04 Jan 2023 07:19:20 +0000

tasksel (3.70devuan1) unstable; urgency=medium

  * Merge tag 3.70.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 19 Jul 2022 09:52:16 +0100

tasksel (3.69devuan2) unstable; urgency=medium

  * Restore lxde and gnome to tasksel selection list (Closes: #670).
  * Remove cruft from when gnome, kde and lxde was disabled.
  * Flatten directory structure of tasks/ to reduce delta from Debian.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Mar 2022 08:06:19 +0000

tasksel (3.69devuan1) unstable; urgency=medium

  * Merge 3.69

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 11 Feb 2022 15:26:29 +0000

tasksel (3.68+devuan7) unstable; urgency=medium

  [ Boian Bonev ]
  * Recommend python-apt-common-devuan along synaptic
    - this adds Devuan mirror list and releases template

  [ Mark Hindley ]
  * Version 3.68+devuan7.

 -- Mark Hindley <leepen@debian.org>  Wed, 02 Feb 2022 07:35:20 +0000

tasksel (3.68+devuan6) unstable; urgency=medium

  * Revert "Add debian-brltty-initscript-override to
    task-speech-accessibility." Brltty initscript fixed in Debian

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 14 Oct 2021 17:35:29 +0100

tasksel (3.68+devuan5) unstable; urgency=medium

  * Add debian-brltty-initscript-override to task-speech-accessibility.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 17 Sep 2021 11:23:48 +0100

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Uploaders: Daniel Reurich <daniel@centurion.net.nz>,
	   Mark Hindley <mark@hindley.org.uk>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Git: https://git.devuan.org/devuan/tasksel.git
Vcs-Browser: https://git.devuan.org/devuan/tasksel
Rules-Requires-Root: no
Origin: Devuan

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Devuan systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Devuan systems
 This package contains data about the standard tasks available on a Devuan
 system.

Package: task-speech-accessibility
Architecture: all
Depends: ${misc:Depends},
# An accessible display manager
	 lightdm | gdm3,
	 devuan-speech-dispatcher-config-override
Description: Speech accessibility configuration
 This task configures the system for speech synthesis using ALSA which supports
 both graphical and console interfaces.

Package: task-desktop
Architecture: all
Description: Devuan desktop environment
 This task package is used to install the Devuan desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
#	 task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-cinnamon-desktop | task-mate-desktop | task-gnome-desktop ,
##	 task-xfce-desktop | task-cinnamon-desktop | task-kde-desktop | task-lxde-desktop | task-lxqt-desktop | task-mate-desktop ,
	 task-xfce-desktop | task-cinnamon-desktop | task-lxde-desktop | task-kde-desktop | task-lxqt-desktop | task-mate-desktop | task-gnome-desktop,
#	 task-xfce-desktop | task-lxde-desktop | task-mate-desktop ,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# mdns/zeroconf stuff
	avahi-daemon,
	libnss-mdns,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Devuan desktop, featuring
 the GNOME desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
Recommends:
# The full gnome desktop environment should be included if possible
# even if the larger gnome metapackage doesn't fit.
	gnome,
# Package management
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-gnome,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE
 This task package is used to install the Devuan desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	kde-standard,
	lightdm | slim | sddm,
Recommends:
# accessibility support
	kdeaccessibility,
# orca works with kde, adding accessibility
	orca,
# temporarily moved from task-desktop due to #525077
	gimp,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# KDE support in LibreOffice
	libreoffice-plasma,
	libreoffice-kf5,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	print-manager,
# make time setting menu item work
       time-daemon | ntpsec-ntpdate

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Devuan desktop, featuring
 the LXDE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm | slim,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk2,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Devuan desktop, featuring
 the LXQt desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-maui | sddm-theme,
         lightdm | slim | sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Devuan desktop, featuring
 the Xfce desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# The basics of xfce, not the whole thing.
	xfce4,
	slim | lightdm,
Recommends:
# a screen saver/locker
## Actually don't recommend one here. xfce4 depends on xfce4-session and that already recommends screensaver(s).
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce text editor
	mousepad,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# support for scanners
	xsane,
# media players
	parole,
	quodlibet,
# pdf viewer
	atril,
# icon theme
	tango-icon-theme,
# network management
	network-manager-gnome | connman-gtk | cmst,
# package management
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with xfce, adding accessibility
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Devuan desktop, featuring
 the Cinnamon desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment,
	lightdm | slim,

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Devuan desktop, featuring
 the MATE desktop environment, and with other packages that Devuan users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	lightdm | slim,
Recommends:
# temporarily moved from task-desktop due to #525077
	gimp,
# Package management.
	synaptic,
# Devuan templates and mirror list for synaptic
	python-apt-common-devuan,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# we need a working network setup at least
	network-manager-gnome | connman-gtk | cmst,
# orca works with mate, adding accessability
	orca,
# libreoffice accessibility needs the GTK frontend
	libreoffice-gtk3,

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	avahi-autoipd,
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	apache2,
Recommends:
	apache2-doc,
	analog,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},

## tasksel 3.73+parrot5

=== debian/changelog ===
tasksel (1:3.73+parrot5) lory-updates; urgency=medium

  * Final adjustments to parrot modules description.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:45:56 +0100

tasksel (1:3.73+parrot4) lory-updates; urgency=medium

  * Attempt to fix error in reading task description.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:30:24 +0100

tasksel (1:3.73+parrot3) lory-updates; urgency=medium

  * Fix typo

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:11:09 +0100

tasksel (1:3.73+parrot2) lory-updates; urgency=medium

  * Adjust parrot tasks syntax.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 05:07:47 +0100

tasksel (1:3.73+parrot1) lory; urgency=medium

  * Import new Debian release.
  * Use parrot metapackages.
  * Use Mate as default desktop.
  * Implement new Parrot selection menu.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 06 Jan 2024 04:28:30 +0100

tasksel (1:3.68+parrot2) lts-updates; urgency=medium

  * Update names of parrot metapackages.
  * Add more granular metapackages selection.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 12 Jan 2022 14:28:39 +0100

tasksel (1:3.68+parrot1) lts-updates; urgency=medium

  * Import new Debian release.
  * integrate the new Parrot metapackages.
  * Add laptop-mode-tools powersaving support.
  * Use nginx stack instead of apache2 for web-server.
  * Don't depend on sddm for kde (we use lightdm).

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 01 Dec 2021 14:28:50 +0100

tasksel (1:3.53+parrot2) rolling; urgency=medium

  * Increase version number to override debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sat, 07 Sep 2019 15:04:43 +0200

tasksel (3.53+parrot1) testing; urgency=medium

  * Increase version number to override debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 04 Jun 2019 19:21:17 +0200

tasksel (3.52+parrot1) testing; urgency=medium

  * Import new Debian release.
  * Minor parrot updates.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 24 Apr 2019 03:23:02 +0200

tasksel (3.50+parrot1) testing; urgency=medium

  * Import new Debian release.
  * Update Parrot modules.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 22 Mar 2019 11:11:49 +0100

=== debian/control ===
Source: tasksel
Section: tasks
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.

Package: task-desktop
Architecture: all
Description: Debian desktop environment
 This task package is used to install the Debian desktop.
Depends: ${misc:Depends},
	xorg,
	xserver-xorg-video-all,
	xserver-xorg-input-all,
	desktop-base,
	parrot-interface,
Recommends:
# One of the actual desktop tasks is needed to get a full desktop environment.
# The order here is significant when installing this task manually;
# when tasksel installs this task it instead selects one of these based
# on the tasksel/desktop debconf setting.
	task-mate-desktop | task-kde-desktop | task-xfce-desktop | task-gnome-desktop,
# For use by third-party apps.
	xdg-utils,
# Font with wide unicode coverage, prevents “Unicode tofu”
	fonts-symbola,
# desktop machines might not be up 24/7
	anacron,
# Make sure that CDs etc can be ejected. May not be installed by d-i.
	eject,
# wireless networking tools (they're more and more used on desktops too)
	iw,
# sound
	alsa-utils,
# For use by users, to elevate privileges
	sudo,
# firefox is the most popular web browser at the moment,
# although both gnome and kde offer their own too
	firefox | firefox-esr,
# print system
	cups,

Package: task-gnome-desktop
Architecture: all
Description: GNOME
 This task package is used to install the Debian desktop, featuring
 the GNOME desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# only depend on a very minimal gnome desktop, to ensure it fits on CD1
	gnome-core,
	parrot-desktop-gnome,
Recommends: parrot-interface-home,
# we need a working network setup at least
	network-manager-gnome,

Package: task-gnome-flashback-desktop
Architecture: all
Description: GNOME Flashback
 This task package is used to install the Debian desktop, featuring
 the GNOME Flashback desktop environment, and with other packages that
 Debian users expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
# the basic components required for the session
	gnome-session-flashback,
# the display manager
	gdm3,
# the control center
	gnome-control-center,
# some core GNOME applications
	eog,
	evince,
	file-roller,
	gedit,
	gnome-calculator,
	gnome-screenshot,
	gnome-terminal,
	totem,
# network manager applet
	network-manager-gnome,
Recommends:
# GNOME support in LibreOffice
	libreoffice-gnome,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# accessibility support
	orca,
# web browser
	firefox | firefox-esr,
# mail client
	evolution,
# package management
	gnome-software,
	synaptic,
# some non-core GNOME applications
	alacarte,
	gnome-disk-utility,
	gnome-tweaks,
	yelp,

Package: task-kde-desktop
Architecture: all
Description: KDE Plasma
 This task package is used to install the Debian desktop, featuring
 the KDE Plasma desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	parrot-desktop-kde
Recommends: parrot-interface-home,
# gui for configuration of the print service
	print-manager,

Package: task-lxde-desktop
Architecture: all
Description: LXDE
 This task package is used to install the Debian desktop, featuring
 the LXDE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	lightdm,
	lxde,
Recommends:
	lxtask,
	lxlauncher,
	xsane,
# libreoffice widgets using just gtk, and also accessibility needs the GTK frontend
	libreoffice-gtk3,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,
# orca works with lxde, adding accessibility
	orca,

Package: task-lxqt-desktop
Architecture: all
Description: LXQt
 This task package is used to install the Debian desktop, featuring
 the LXQt desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
         task-desktop,
# Mention the preferred theme before sddm, otherwise another theme will be used
         sddm-theme-debian-elarun | sddm-theme,
         sddm,
         lxqt,
Recommends: xsane,
# orca works with qt, adding accessibility
	orca,
# libreoffice widgets using just gtk and qt
	libreoffice-gtk3,
	libreoffice-qt5,
# Package management.
	synaptic,
# libreoffice is the best word processor / office suite at the moment
	libreoffice-writer,
	libreoffice-calc,
	libreoffice-impress,
# make help menu work
	libreoffice-help-en-us,
# make thesaurus work
	mythes-en-us,
# make spellchecker work
	hunspell-en-us,
# make hyphenation work
	hyphen-en-us,
# gui for configuration of the print service
	system-config-printer,

Package: task-xfce-desktop
Architecture: all
Description: Xfce
 This task package is used to install the Debian desktop, featuring
 the Xfce desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	parrot-desktop-xfce,
Recommends:
# a screen saver/locker
	light-locker,
# well known xfce4 enhancements
	xfce4-goodies,
	xfce4-power-manager,
	xfce4-terminal,
# xfce is really improved by using dbus
	default-dbus-session-bus | dbus-session-bus,
# pdf viewer
	atril,
# network management
	network-manager-gnome,
	parrot-interface-home,

Package: task-cinnamon-desktop
Architecture: all
Description: Cinnamon
 This task package is used to install the Debian desktop, featuring
 the Cinnamon desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	cinnamon-desktop-environment

Package: task-mate-desktop
Architecture: all
Description: MATE
 This task package is used to install the Debian desktop, featuring
 the MATE desktop environment, and with other packages that Debian users
 expect to have available on the desktop.
Depends: ${misc:Depends},
	task-desktop,
	mate-desktop-environment,
	parrot-desktop-mate,
Recommends: parrot-interface-home

Package: task-laptop
Architecture: all
Description: laptop
 This task package installs software useful for a laptop.
Depends: ${misc:Depends},
	anacron,
Recommends:
	bluetooth,
	powertop,
# wireless networking tools
	iw,
	wireless-tools,
	wpasupplicant,

Package: task-web-server
Architecture: all
Description: web server
 This task selects packages useful for a general purpose web server
 system.
Depends: ${misc:Depends},
	nginx,

Package: task-ssh-server
Architecture: all
Description: SSH server
 This task sets up your system to be remotely accessed through SSH
 connections.
Depends: ${misc:Depends},
	openssh-server,
Recommends:
	openssh-client,

Package: task-albanian-desktop
Architecture: all
Description: Albanian desktop
 This task localises the desktop in Albanian.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-sq | firefox-l10n-sq,
	myspell-sq,

Package: task-amharic
Architecture: all
Description: Amharic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Amharic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-am

Package: task-amharic-desktop
Architecture: all
Description: Amharic desktop
 This task localises the desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	fonts-sil-abyssinica,
	fcitx,
	fcitx-table-amharic,
	fcitx-frontend-gtk2,
	fcitx-frontend-gtk3,
	fcitx-config-gtk

Package: task-amharic-gnome-desktop
Architecture: all
Description: Amharic GNOME desktop
 This task localises the GNOME desktop in Amharic.
Depends: ${misc:Depends}
Recommends:
	ibus-m17n,
# ibus doesn't have a default config for all languages, so force creation
	gnome-initial-setup

Package: task-amharic-kde-desktop
Architecture: all
Description: Amharic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Amharic.
Depends: ${misc:Depends},
Recommends:
	fcitx-frontend-qt5,
	kde-config-fcitx

Package: task-arabic
Architecture: all
Description: Arabic environment
 This task installs programs, data files, fonts, and
 documentation that makes it easier for Arabic speakers
 to use Debian.
Depends: ${misc:Depends},
Recommends:
	fonts-arabeyes,
	aspell-ar,
	aspell-ar-large,
	itools

Package: task-arabic-desktop
Architecture: all
Description: Arabic desktop
 This task localises the desktop in Arabic.
Depends: ${misc:Depends},
Recommends:
	fonts-kacst,
	fonts-farsiweb,
	firefox-esr-l10n-ar | firefox-l10n-ar,
	libreoffice-l10n-ar,
	hunspell-ar

Package: task-arabic-kde-desktop
Architecture: all
Description: Arabic KDE Plasma desktop
 This task localises the KDE Plasma desktop in Arabic.
Depends: ${misc:Depends},

Package: task-asturian
Architecture: all
Description: Asturian environment
 This task installs packages and documentation in Asturian
 to help Asturian speaking people use Debian.
Depends: ${misc:Depends},

Package: task-asturian-desktop
Architecture: all
Description: Asturian desktop
 This task localises the desktop in Asturian.
Depends: ${misc:Depends},
Recommends:
	libreoffice-l10n-ast,
	firefox-esr-l10n-ast | firefox-l10n-ast,

Package: task-basque
Architecture: all
Description: Basque environment
 This task installs packages and documentation in Basque
 to help Basque speaking people use Debian.
Depends: ${misc:Depends},
Recommends:
	aspell-eu

Package: task-basque-desktop
Architecture: all
Description: Basque desktop
 This task localises the desktop in Basque.
Depends: ${misc:Depends},
Recommends:
	firefox-esr-l10n-eu | firefox-l10n-eu,
	libreoffice-l10n-eu,
	libreoffice-help-eu,
	hunspell-eu-es

Package: task-basque-kde-desktop
Architecture: all
Description: Basque KDE Plasma desktop
 This task localises the KDE Plasma desktop in Basque.
Depends: ${misc:Depends},

Package: task-belarusian
Architecture: all
Description: Belarusian environment
 This task installs packages and documentation in Belarusian
 to help Belarusian speaking people use Debian.
Depends: ${misc:Depends},

Package: task-belarusian-desktop
Architecture: all
Description: Belarusian desktop
 This task localises the desktop in Belarusian.
Depends: ${misc:Depends},
Recommends:
	libreoffice-l10n-be,
	firefox-esr-l10n-be | firefox-l10n-be,
	hunspell-be

Package: task-belarusian-kde-desktop
Architecture: all
Description: Belarusian KDE Plasma desktop
 This task localises the KDE Plasma desktop in Belarusian.
Depends: ${misc:Depends},

Package: task-bengali
Architecture: all

## tasksel 3.75

=== debian/changelog ===
tasksel (3.75) unstable; urgency=medium

  * Team upload.

  * Ordering of tasks: move standard task to the bottom of the list. This
    reverts changed behaviour in 3.74, which moved standard task to the top.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 16 Feb 2024 19:31:10 +0100

tasksel (3.74) unstable; urgency=medium

  * Team upload.

  [ Andrew Lee ]
  * Revert to fcitx for Traditional Chinese desktop.
  * Install fcitx frontend for all desktops instead of only qt5 for kde.
  * Install common input method tables for Traditional Chinese desktop.

  [ Rene Engelhard ]
  * task-mate-desktop:
     - Recommend libreoffice-gnome in task-mate-desktop (closes: #1051968)

  [ Luna Jernberg ]
  * Updated Swedish debconf translation.

  [ Arnaud Rebillout ]
  * Fix task ordering, and make 'apt install' more deterministic.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 27 Jan 2024 22:06:42 +0100

=== debian/control ===
--- 
+++ 
@@ -40,17 +40,19 @@
 	xserver-xorg-video-all,
 	xserver-xorg-input-all,
 	desktop-base,
-	parrot-interface,
 Recommends:
 # One of the actual desktop tasks is needed to get a full desktop environment.
 # The order here is significant when installing this task manually;
 # when tasksel installs this task it instead selects one of these based
 # on the tasksel/desktop debconf setting.
-	task-mate-desktop | task-kde-desktop | task-xfce-desktop | task-gnome-desktop,
+	task-gnome-desktop | task-xfce-desktop | task-kde-desktop | task-lxde-desktop | task-gnome-flashback-desktop | task-cinnamon-desktop | task-mate-desktop | task-lxqt-desktop,
 # For use by third-party apps.
 	xdg-utils,
 # Font with wide unicode coverage, prevents “Unicode tofu”
 	fonts-symbola,
+# mdns/zeroconf stuff
+	avahi-daemon,
+	libnss-mdns,
 # desktop machines might not be up 24/7
 	anacron,
 # Make sure that CDs etc can be ejected. May not be installed by d-i.
@@ -77,8 +79,26 @@
 	task-desktop,
 # only depend on a very minimal gnome desktop, to ensure it fits on CD1
 	gnome-core,
-	parrot-desktop-gnome,
-Recommends: parrot-interface-home,
+Recommends:
+# The full gnome desktop environment should be included if possible
+# even if the larger gnome metapackage doesn't fit.
+	gnome,
+# Package management
+	synaptic,
+# GNOME support in LibreOffice
+	libreoffice-gnome,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
 # we need a working network setup at least
 	network-manager-gnome,
 
@@ -145,8 +165,30 @@
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
-	parrot-desktop-kde
-Recommends: parrot-interface-home,
+	kde-standard,
+	sddm,
+Recommends:
+# accessibility support
+	kdeaccessibility,
+# orca works with kde, adding accessibility
+	orca,
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# KDE support in LibreOffice
+	libreoffice-plasma,
+	libreoffice-kf5,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
 # gui for configuration of the print service
 	print-manager,
 
@@ -228,7 +270,9 @@
  expect to have available on the desktop.
 Depends: ${misc:Depends},
 	task-desktop,
-	parrot-desktop-xfce,
+# The basics of xfce, not the whole thing.
+	xfce4,
+	lightdm
 Recommends:
 # a screen saver/locker
 	light-locker,
@@ -236,13 +280,41 @@
 	xfce4-goodies,
 	xfce4-power-manager,
 	xfce4-terminal,
+# xfce text editor
+	mousepad,
 # xfce is really improved by using dbus
 	default-dbus-session-bus | dbus-session-bus,
+# support for scanners
+	xsane,
+# media players
+	parole,
+	quodlibet,
 # pdf viewer
 	atril,
+# icon theme
+	tango-icon-theme,
 # network management
 	network-manager-gnome,
-	parrot-interface-home,
+# package management
+	synaptic,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# gui for configuration of the print service
+	system-config-printer,
+# orca works with xfce, adding accessibility
+	orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk3,
 
 Package: task-cinnamon-desktop
 Architecture: all
@@ -263,8 +335,32 @@
 Depends: ${misc:Depends},
 	task-desktop,
 	mate-desktop-environment,
-	parrot-desktop-mate,
-Recommends: parrot-interface-home
+	lightdm,
+Recommends:
+# temporarily moved from task-desktop due to #525077
+	gimp,
+# Package management.
+	synaptic,
+# libreoffice is the best word processor / office suite at the moment
+	libreoffice-writer,
+	libreoffice-calc,
+	libreoffice-impress,
+# make e.g. sftp:// work in caja
+	libreoffice-gnome,
+# make help menu work
+	libreoffice-help-en-us,
+# make thesaurus work
+	mythes-en-us,
+# make spellchecker work
+	hunspell-en-us,
+# make hyphenation work
+	hyphen-en-us,
+# we need a working network setup at least
+	network-manager-gnome,
+# orca works with mate, adding accessibility
+	orca,
+# libreoffice accessibility needs the GTK frontend
+	libreoffice-gtk3,
 
 Package: task-laptop
 Architecture: all
@@ -273,6 +369,7 @@
 Depends: ${misc:Depends},
 	anacron,
 Recommends:
+	avahi-autoipd,
 	bluetooth,
 	powertop,
 # wireless networking tools
@@ -286,7 +383,10 @@
  This task selects packages useful for a general purpose web server
  system.
 Depends: ${misc:Depends},
-	nginx,
+	apache2,
+Recommends:
+	apache2-doc,
+	analog,
 
 Package: task-ssh-server
 Architecture: all
@@ -352,98 +452,3 @@
 Package: task-arabic
 Architecture: all
 Description: Arabic environment
- This task installs programs, data files, fonts, and
- documentation that makes it easier for Arabic speakers
- to use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	fonts-arabeyes,
-	aspell-ar,
-	aspell-ar-large,
-	itools
-
-Package: task-arabic-desktop
-Architecture: all
-Description: Arabic desktop
- This task localises the desktop in Arabic.
-Depends: ${misc:Depends},
-Recommends:
-	fonts-kacst,
-	fonts-farsiweb,
-	firefox-esr-l10n-ar | firefox-l10n-ar,
-	libreoffice-l10n-ar,
-	hunspell-ar
-
-Package: task-arabic-kde-desktop
-Architecture: all
-Description: Arabic KDE Plasma desktop
- This task localises the KDE Plasma desktop in Arabic.
-Depends: ${misc:Depends},
-
-Package: task-asturian
-Architecture: all
-Description: Asturian environment
- This task installs packages and documentation in Asturian
- to help Asturian speaking people use Debian.
-Depends: ${misc:Depends},
-
-Package: task-asturian-desktop
-Architecture: all
-Description: Asturian desktop
- This task localises the desktop in Asturian.
-Depends: ${misc:Depends},
-Recommends:
-	libreoffice-l10n-ast,
-	firefox-esr-l10n-ast | firefox-l10n-ast,
-
-Package: task-basque
-Architecture: all
-Description: Basque environment
- This task installs packages and documentation in Basque
- to help Basque speaking people use Debian.
-Depends: ${misc:Depends},
-Recommends:
-	aspell-eu
-
-Package: task-basque-desktop
-Architecture: all
-Description: Basque desktop
- This task localises the desktop in Basque.
-Depends: ${misc:Depends},
-Recommends:
-	firefox-esr-l10n-eu | firefox-l10n-eu,
-	libreoffice-l10n-eu,
-	libreoffice-help-eu,
-	hunspell-eu-es
-
-Package: task-basque-kde-desktop
-Architecture: all
-Description: Basque KDE Plasma desktop
- This task localises the KDE Plasma desktop in Basque.
-Depends: ${misc:Depends},
-
-Package: task-belarusian
-Architecture: all
-Description: Belarusian environment
- This task installs packages and documentation in Belarusian
- to help Belarusian speaking people use Debian.
-Depends: ${misc:Depends},
-
-Package: task-belarusian-desktop
-Architecture: all
-Description: Belarusian desktop
- This task localises the desktop in Belarusian.
-Depends: ${misc:Depends},
-Recommends:
-	libreoffice-l10n-be,
-	firefox-esr-l10n-be | firefox-l10n-be,
-	hunspell-be
-
-Package: task-belarusian-kde-desktop
-Architecture: all
-Description: Belarusian KDE Plasma desktop
- This task localises the KDE Plasma desktop in Belarusian.
-Depends: ${misc:Depends},
-
-Package: task-bengali
-Architecture: all

## tasksel 3.75ubuntu1

=== debian/changelog ===
tasksel (3.75ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 15:05:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tasksel
-Section: tasks
+Section: admin
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: nicoo <nicoo@debian.org>
 Standards-Version: 4.6.1
 Build-Depends:
@@ -450,5 +451,3 @@
 	kde-config-fcitx
 
 Package: task-arabic
-Architecture: all
-Description: Arabic environment

## tasksel 3.75ubuntu1trisquel6

=== Makefile ===
DOMAIN=debian-tasks
TASKDESC=$(DOMAIN).desc
TASKDIR=/usr/share/tasksel
DESCDIR=tasks
UDOMAIN=trisquel-tasks
USUITE=ecne
UFLAVOURS=trisquel-desktop triskel trisquel-mini trisquel-sugar trisquel-gnome trisquel-console
UTASKDESC=$(UDOMAIN).desc
UDESCDIR=trisquel-tasks
DESCPO=$(DESCDIR)/po
VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
LOCALEDIR=$(DESTDIR)/usr/share/locale

all: $(UTASKDESC) po/build_stamp

$(TASKDESC): makedesc.pl $(DESCDIR)/[a-z]??*
	./doincludes.pl $(DESCDIR)
	./makedesc.pl $(DESCDIR) $(TASKDESC)

$(UDESCDIR): trisquel-seeds.pl
USUITE=ecne

$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
	./makedesc.pl $(UDESCDIR) $(UTASKDESC)

%.o: %.c
	$(COMPILE) $<

po/build_stamp:
	$(MAKE) -C po LANGS="$(LANGS)"

updatepo:
	$(MAKE) -C po update LANGS="$(LANGS)"

$(DESCPO)/build_stamp:
	$(MAKE) -C $(DESCPO) LANGS="$(LANGS_DESC)"

updatetaskspo:
	$(MAKE) -C $(DESCPO) update LANGS="$(LANGS_DESC)"

install:
	install -d $(DESTDIR)/usr/bin \
		$(DESTDIR)/usr/lib/tasksel/tests \
		$(DESTDIR)/usr/lib/tasksel/packages \
		$(DESTDIR)/usr/share/man/man8
	install -m 755 tasksel.pl $(DESTDIR)/usr/bin/tasksel
	install -m 755 tasksel-debconf $(DESTDIR)/usr/lib/tasksel/
	install -m 644 default_desktop $(DESTDIR)/usr/lib/tasksel/
	install -m 755 filter-tasks $(DESTDIR)/usr/lib/tasksel/
	install -m 755 tests/new-install $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/debconf $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 tests/lang $(DESTDIR)/usr/lib/tasksel/tests/
	install -m 755 packages/list $(DESTDIR)/usr/lib/tasksel/packages/
	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
	for lang in $(LANGS); do \
		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
	done

install-data:
	install -d $(DESTDIR)$(TASKDIR)/descs \
		$(DESTDIR)/usr/lib/tasksel/info \
		$(DESTDIR)/usr/lib/tasksel/tests
	install -m 0644 $(UTASKDESC) $(DESTDIR)$(TASKDIR)/descs
	for test in tests/*; do \
		[ "$$test" = "tests/new-install" ] && continue; \
		[ "$$test" = "tests/debconf" ] && continue; \
		[ "$$test" = "tests/lang" ] && continue; \
		install -m 755 $$test $(DESTDIR)/usr/lib/tasksel/tests/; \
	done
	for flavour in $(filter-out platform,$(UFLAVOURS)); do \
		ln -s desktop.preinst $(DESTDIR)/usr/lib/tasksel/info/$$flavour-desktop.preinst; \
	done
	for package in packages/*; do \
		[ "$$package" = "packages/list" ] && continue; \
		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
	done
#Dropped
#	for lang in $(LANGS_DESC); do \
#		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
#		install -m 644 $(DESCDIR)/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
#	done

clean:
	rm -f $(TASKDESC) $(UTASKDESC) *~
	rm -rf debian/external-overrides
	$(MAKE) -C po clean
	$(MAKE) -C $(DESCPO) clean

=== debian/changelog ===
tasksel (3.75ubuntu1trisquel6) ecne; urgency=medium

  * Added Trisquel's tasks

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:35:10 +0000

## tasksel 3.75ubuntu1trisquel7

=== Makefile ===
--- 
+++ 
@@ -10,8 +10,21 @@
 DESCPO=$(DESCDIR)/po
 VERSION=$(shell expr "`dpkg-parsechangelog 2>/dev/null |grep Version:`" : '.*Version: \(.*\)' | cut -d - -f 1)
 LANGS=ar bg bn bs ca cs cy da de dz el eo es et eu fa fi fr gl gu he hi hr hu hy id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv ta te th tl tr uk vi wo zh_CN zh_TW
-LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
+LANGS_DESC=ar bg bn bs ca cs cy da de dz el eo es et eu fi fr gl gu he hi hr hu id it ja km ko lt lv mg mk nb ne nl nn pa pl pt_BR pt ro ru sk sl sq sv te th tl tr uk vi wo zh_CN zh_TW
 LOCALEDIR=$(DESTDIR)/usr/share/locale
+
+# ---- L10N generation ----
+# l10n base
+L10N_PKGS = language-pack hunspell hyphen mythes
+# Desktops l10n
+L10N_PKGS += language-pack-gnome language-pack-kde
+# Apps l10n (condition in runtime)
+L10N_PKGS += abrowser-locale icedove-locale libreoffice-l10n
+GEN_LANG_STAMP = $(UDESCDIR)/.lang_generated
+
+$(GEN_LANG_STAMP): lang-gen.sh
+	./lang-gen.sh "$(LANGS_DESC)" "$(L10N_PKGS)" $(UDESCDIR)
+	touch $@
 
 all: $(UTASKDESC) po/build_stamp
 
@@ -22,8 +35,10 @@
 $(UDESCDIR): trisquel-seeds.pl
 USUITE=ecne
 
-$(UTASKDESC): makedesc.pl $(UDESCDIR)/[a-z]??*
+$(UTASKDESC): $(GEN_LANG_STAMP) makedesc.pl $(UDESCDIR)/*
 	./makedesc.pl $(UDESCDIR) $(UTASKDESC)
+	# drop a blank first line if present to avoid parser warnings
+	sed -i '1{/^$$/d}' $(UTASKDESC)
 
 %.o: %.c
 	$(COMPILE) $<
@@ -56,10 +71,12 @@
 	pod2man --section=8 --center "Debian specific manpage" --release $(VERSION) tasksel.pod | gzip -9c > $(DESTDIR)/usr/share/man/man8/tasksel.8.gz
 	for lang in $(LANGS); do \
 		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
-		install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
+		if [ -f po/$$lang.mo ]; then \
+			install -m 644 po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/tasksel.mo; \
+		fi; \
 	done
 
-install-data:
+install-data: $(UTASKDESC)
 	install -d $(DESTDIR)$(TASKDIR)/descs \
 		$(DESTDIR)/usr/lib/tasksel/info \
 		$(DESTDIR)/usr/lib/tasksel/tests
@@ -77,15 +94,9 @@
 		[ "$$package" = "packages/list" ] && continue; \
 		install -m 755 $$package $(DESTDIR)/usr/lib/tasksel/packages/; \
 	done
-#Dropped
-#	for lang in $(LANGS_DESC); do \
-#		[ ! -d $(LOCALEDIR)/$$lang/LC_MESSAGES/ ] && mkdir -p $(LOCALEDIR)/$$lang/LC_MESSAGES/; \
-#		install -m 644 $(DESCDIR)/po/$$lang.mo $(LOCALEDIR)/$$lang/LC_MESSAGES/$(DOMAIN).mo; \
-#	done
 
 clean:
 	rm -f $(TASKDESC) $(UTASKDESC) *~
 	rm -rf debian/external-overrides
 	$(MAKE) -C po clean
 	$(MAKE) -C $(DESCPO) clean
-

=== debian/changelog ===
tasksel (3.75ubuntu1trisquel7) ecne; urgency=medium

  * Added Trisquel's tasks
  * Added Trisquel's l10n tasksel implementation for d-i

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 18 Aug 2025 11:50:17 +0000

=== debian/control ===
Source: tasksel
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: nicoo <nicoo@debian.org>
Standards-Version: 4.6.1
Build-Depends:
	debhelper-compat (= 13),
	gettext,
	po-debconf
Vcs-Browser: https://salsa.debian.org/installer-team/tasksel
Vcs-Git: https://salsa.debian.org/installer-team/tasksel.git
Rules-Requires-Root: no

Package: tasksel
Section: admin
Architecture: all
Pre-Depends: debconf | cdebconf
Depends: ${misc:Depends}, liblocale-gettext-perl, apt, tasksel-data
Conflicts: base-config (<< 2.32)
Description: tool for selecting tasks for installation on Debian systems
 This package provides 'tasksel', a simple interface for users who
 want to configure their system to perform a specific task.

Package: tasksel-data
Section: admin
Architecture: all
Depends: ${misc:Depends}
Recommends: laptop-detect, tasksel
Description: official tasks used for installation of Debian systems
 This package contains data about the standard tasks available on a Debian
 system.
